alt.java.rmi

## Interface Naming

- All Known Implementing Classes:
    MockNaming, NamingImpl

      public interface Naming

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(java.lang.String name, java.rmi.Remote obj)`
    `java.lang.String[]` | `list(java.lang.String name)`
    `java.rmi.Remote` | `lookup(java.lang.String name)`
    `void` | `rebind(java.lang.String name, java.rmi.Remote obj)`
    `void` | `unbind(java.lang.String name)`

- - ### Method Detail

    - #### lookup

          java.rmi.Remote lookup(java.lang.String name)
                          throws java.rmi.NotBoundException,
                                 java.net.MalformedURLException,
                                 java.rmi.RemoteException

      Throws:
        `java.rmi.NotBoundException`
        `java.net.MalformedURLException`
        `java.rmi.RemoteException`

    - #### bind

          void bind(java.lang.String name,
                    java.rmi.Remote obj)
             throws java.rmi.AlreadyBoundException,
                    java.net.MalformedURLException,
                    java.rmi.RemoteException

      Throws:
        `java.rmi.AlreadyBoundException`
        `java.net.MalformedURLException`
        `java.rmi.RemoteException`

    - #### unbind

          void unbind(java.lang.String name)
               throws java.rmi.RemoteException,
                      java.rmi.NotBoundException,
                      java.net.MalformedURLException

      Throws:
        `java.rmi.RemoteException`
        `java.rmi.NotBoundException`
        `java.net.MalformedURLException`

    - #### rebind

          void rebind(java.lang.String name,
                      java.rmi.Remote obj)
               throws java.rmi.RemoteException,
                      java.net.MalformedURLException

      Throws:
        `java.rmi.RemoteException`
        `java.net.MalformedURLException`

    - #### list

          java.lang.String[] list(java.lang.String name)
                           throws java.rmi.RemoteException,
                                  java.net.MalformedURLException

      Throws:
        `java.rmi.RemoteException`
        `java.net.MalformedURLException`

Copyright © 2002 Mock Objects. All Rights Reserved.